
 LinHES - Bug # 613: Installation writes incorrect partition identifier to grub menu.lst

Status: Closed Priority: Normal
Author: smilerish Category: Installation/Upgrade
Created: 01/23/2010 Assignee: jams
Updated: 11/10/2011 Due date:
Description: The installer fails to detect the correct boot partition, or maps its UUID to the wrong grub address, and 

consequently writes this address in the grub menu.lst file. The system is unbootable without modifying the 
'root' line in the grub menu.

----

  * I installed LinHES using the same configuration and machine twice, and this occurred both times, so it is 
reproducible.

  * Using the Auto/Full partition option, with default 5 GB OS partition, 1.5 GB swap and the remaining space 
(~33.5 GB) as an ext3-formatted data partition. The hard disk is a blank 40 GB PATA type, connected as the 
secondary master.

  * The installer identified the drive as /dev/sdb, as does the installed system.

  * On the first reboot following installation, grub fails to boot LinHES, claiming that it cannot mount the root file 
system. On closer inspection, I noticed itÃ¢Â€Â™s trying to mount partition (hd0,0) - an LVM partition on the 
primary master PATA drive (/dev/sda1).

  * Pressing Ã¢Â€Â˜eÃ¢Â€Â™ at the grub menu, to manually edit this line to (hd1,0), allowed the system to 
boot normally. Consequently, I changed all the entries in /boot/grub/menu.lst (attached, with corrections) to 
the correct value.

  * I also noticed that /boot/grub/menu.lst has, in the comments at the start, a table of partitions the installer 
found. The correct system partition, /dev/sdb1 Ã¢Â€Â” (hd1,0), is missing from this table.

  * The mythvantage_install.log (attached) notes the correct UUID for the boot partition, and claims that this 
UUID was written to the grub menu.

I'm completely new to Knoppmyth, LinHES and Arch, so if there's any useful information or files I've neglected 
to include, just ask and I'll be happy to oblige.

History
01/30/2010 04:30 pm - jams
also attach the debug log file.  Think it's called mv_install_debug.log  or something close to that in the tmp dir.

03/21/2010 03:03 am - smilerish
Just to say: this is still a problem in R6.02. I had to reinstall from scratch (the upgrade option didn't work out too well for me), but this time I couldn't find 
the installation logs.

If someone could tell me the exact paths for the log files, then I'll happily upload them.

03/21/2010 07:57 am - jams
> I also noticed that /boot/grub/menu.lst has, in the comments at the start, a table of partitions the installer found. The correct system partition, 
/dev/sdb1 Ã¢Â€Â” (hd1,0), is missing from this table.

That comment is static.
04/06/2010 12:49 pm - jams
- Assignee set to jams

10/21/2011 08:48 am - brfransen
- Status changed from New to Feedback

- Target version set to 7.1

- Category set to Installation/Upgrade

Please try with the R7.00.03 iso and report back if this is fixed.

11/10/2011 02:15 pm - brfransen
- Status changed from Feedback to Closed

Files
mythvantage_install.log 14.4 kB 01/23/2010 admin
menu.lst 1.9 kB 01/23/2010 admin
